package cds.aida.gui;

import cds.jlow.client.graph.*;
import cds.jlow.descriptor.IDescriptor;

//import javax.swing.tree.*;
import javax.swing.event.*;

/**
 * 
 * 
 * @author Pestel Cyril
 * @version 1.0 beta Copyright CDS 2005 (kickoff 1 April 05)
 */

public class DefaultSelectionListener implements TreeSelectionListener {

	// ** Attributs **//

	private IGraphJ graph;

	// ** Constructors **//
	/**
	 * 
	 */
	public DefaultSelectionListener(IGraphJ g) {
		graph = g;

	}

	// ** Methods **//

	/**
	 * See javax.swing.event.TreeSelectionListener.
	 */
	public void valueChanged(TreeSelectionEvent evt) {
		// Get all nodes whose selection status has changed
		// TreePath paths = evt.getPath();

		Object o = ((JToolsTree) evt.getSource()).getSelection();
		
		if (o != null && o instanceof IDescriptor) {
			
			graph.setUserDesc(((IDescriptor) o).getID());
		} else
			graph.setUserDesc(null);

	}

}
