/**
 * 
 */
package cds.aida.wsJlow;

import java.awt.Point;
import java.awt.event.ActionEvent;
import java.util.Hashtable;

import javax.swing.AbstractAction;
import javax.swing.Icon;

import cds.jlow.client.codec.action.LoadAsAction;
import cds.jlow.client.graph.DefaultMPopupMenu;
import cds.jlow.client.graph.IManagerPopupMenu;
import cds.jlow.client.graph.Jlow;
import cds.jlow.client.net.service.TaskListService;
import cds.jlow.client.net.socket.SocketProtocol;
import cds.jlow.client.util.ToHtmlModule;
import cds.jlow.client.util.ToStringModule;
import cds.jlow.descriptor.IntegerDescriptor;

/**
 * 
 * @author Cyril Pestel
 * @date 6 janv. 2007
 * @version 
 */
public class AddInt extends AbstractAction {
    
    /**
     * 
     */
    public AddInt(Jlow jlow) {
        super("Get tasks");

        putValue(NAME,"Add Integer");
        putValue("graph",jlow);
        

    }



    
    /* (non-Javadoc)
     * @see java.awt.event.ActionListener#actionPerformed(java.awt.event.ActionEvent)
     */
    public void actionPerformed(ActionEvent arg0) {
        Jlow graph = (Jlow) getValue("graph");
        
        if(graph==null)
            return; //No graph selected

        Hashtable mods = new Hashtable();
        mods.put("tostring", new ToStringModule());
        mods.put("tohtml", new ToHtmlModule());
        
		String nameInt = "numeric";
		String idInt = "com.int." + nameInt;
		IntegerDescriptor intdesc = new IntegerDescriptor(idInt,mods);
		

        graph.insertData(new Point(40,60), idInt);
    }

}
