
package cds.aida.wsJlow;

import cds.aida.tool.Tool;
import cds.aida.tool.ToolPort;
import cds.jlow.client.graph.*;


import java.io.*;
import java.util.Iterator;
import java.util.Vector;

import java.awt.*;

import java.awt.datatransfer.*;
import java.awt.dnd.*;



public class WSJDrop extends DropTargetAdapter {
    private Jlow graph;
    public WSJDrop(IGraphJ g) {
	super();

	graph =  (Jlow) g;
    }


    public void drop(DropTargetDropEvent e) {
      try {
         DataFlavor stringFlavor = DataFlavor.stringFlavor;
         Transferable tr = e.getTransferable();
         if(e.isDataFlavorSupported(stringFlavor)) {
            String drop = 
                 (String)tr.getTransferData(stringFlavor);
            e.acceptDrop(DnDConstants.ACTION_COPY_OR_MOVE);
	    

	    Point pos = new Point((int) graph.snap(e.getLocation()).getX(),
				    (int) graph.snap(e.getLocation()).getY());
	
	    pos = (Point) graph.fromScreen(pos);
	    Object cell = graph.getFirstCellForLocation(pos.getX(), pos.getY());
	    
	    if( cell == null && drop != null && 
		graph.getRegister().getDescriptor(drop)!=null) {
	    	//Insert a new vertex			io=tool.getListIPort();
	    	System.out.println("drop : "+drop);
	    	
//	    	Tool t = (Tool)graph.getRegister().getDescriptor(drop);
	    	
//	    	t.getInput(1).getData().setData("/home/beugnot/1");
//	    	t.getInput(2).getData().setData(4);
//	    	t.getInput(3).getData().setData(4);
	    	graph.insert(pos, drop);
	    }

            e.dropComplete(true);
         }
         else {
            e.rejectDrop();
         }
      }
      catch(IOException ioe) {
	  ioe.printStackTrace();
      }
      catch(UnsupportedFlavorException ufe) {
         ufe.printStackTrace();
      }
    }
}
